파일을 삭제할 수 없습니다. 경고!unlink: 해당 파일 또는 디렉터리 오류가 없습니다. 다음에서 Admin

이 문서에서는 오류가 표시되는 문제에 대한 해결 방법을 제공합니다 파일을 삭제할 수 없습니다. 경고!unlink: 해당 파일 또는 디렉터리 오류가 없습니다. 다음에서 Commerce Admin 다음을 수행하는 경우 JavaScript/CSS 플러시.

영향을 받는 제품 및 버전

  • Adobe Commerce 2.4.0 - 2.4.6, 모든 배포 방법

문제

다음 작업을 수행하면 오류가 발생합니다. JS/CSS 플러시:

"/app/pub/static/_cache/merged/.nfsa42d0e64799fd1000000001b" 파일은 삭제할 수 없습니다. 경고!unlink(https://experienceleague.adobe.com/app/pub/static/_cache/merged/.nfsa42d0e64799fd1000000001b?lang=ko): 해당 파일 또는 디렉터리가 없습니다.

또는:에 위의 오류가 표시됩니다. Admin, 및/또는 의 유사한 오류 New Relic 배포 로그에서 참조할 수 있습니다.

또는: 고급 보고에 액세스할 수 없으며 analytics_collect_data cron 작업이 다음 오류로 실패합니다.

"/app/var/tmp/analytics/tmp/.nfsb3b6041dd44588a0000850c0" 파일을 삭제할 수 없습니다. 경고!unlink(https://experienceleague.adobe.com/app/var/tmp/analytics/tmp/.nfsb3b6041dd44588a0000850c0?lang=ko): 해당 파일 또는 디렉터리가 없습니다.

재현 단계:

방법 1:

  1. 에 로그인합니다 Admin.
  2. 다음으로 이동 System > Cache Management.
  3. 클릭 FlushJavaScript/CSSCache.

방법 2:

  1. 에 로그인합니다 Admin.
  2. 다음으로 이동 Stores > Settings > Configuration.
  3. 변경 내용 Base URL 또는 Base URL (Secure).
  4. 클릭 Save Config.

솔루션

Adobe Commerce on Cloud infrastructure를 사용하고 있고 magento/magento-cloud-patches 1.0.22가 설치되었으며 패치가 포함되어 있으므로 ACSD-50165을 별도로 설치할 필요가 없습니다.

Adobe Commerce on Cloud infrastructure: Commerce용 클라우드 패치를 1.0.22로 업그레이드(이상) 이 수정 사항을 포함하는 Commerce용 클라우드 패치.

Adobe Commerce 온-프레미스: 다음을 사용하여 ACSD-50165 적용 품질 패치 도구 > 사용. ACSD-50165 패치에는 QPT v1.1.30.

관련 읽기

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a